## org.eclipse.xsd.impl
Class XSDSimpleTypeDefinitionImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.xsd.impl.XSDConcreteComponentImpl
                      org.eclipse.xsd.impl.XSDComponentImpl
                          org.eclipse.xsd.impl.XSDNamedComponentImpl
                              org.eclipse.xsd.impl.XSDRedefinableComponentImpl
                                  org.eclipse.xsd.impl.XSDTypeDefinitionImpl
                                      org.eclipse.xsd.impl.XSDSimpleTypeDefinitionImpl

All Implemented Interfaces:
  Notifier, EObject, InternalEObject, XSDComplexTypeContent, XSDComponent, XSDConcreteComponent, XSDNamedComponent, XSDRedefinableComponent, XSDRedefineContent, XSDSchemaContent, XSDSimpleTypeDefinition, XSDTypeDefinition

    public class XSDSimpleTypeDefinitionImpl

extends XSDTypeDefinitionImpl
implements XSDSimpleTypeDefinition

An implementation of the model object 'Simple Type Definition'.

The following features are implemented:

- `Variety`
- `Final`
- `Lexical Final`
- `Valid Facets`
- `Contents`
- `Facet Contents`
- `Facets`
- `Member Type Definitions`
- `Fundamental Facets`
- `Base Type Definition`
- `Primitive Type Definition`
- `Item Type Definition`
- `Root Type Definition`
- `Min Facet`
- `Max Facet`
- `Max Inclusive Facet`
- `Min Inclusive Facet`
- `Min Exclusive Facet`
- `Max Exclusive Facet`
- `Length Facet`
- `White Space Facet`
- `Enumeration Facets`
- `Pattern Facets`
- `Cardinality Facet`
- `Numeric Facet`
- `Max Length Facet`
- `Min Length Facet`
- `Total Digits Facet`
- `Fraction Digits Facet`
- `Ordered Facet`
- `Bounded Facet`
- `Effective Max Facet`
- `Effective White Space Facet`
- `Effective Max Length Facet`
- `Effective Fraction Digits Facet`
- `Effective Pattern Facet`
- `Effective Enumeration Facet`
- `Effective Total Digits Facet`
- `Effective Min Length Facet`
- `Effective Length Facet`
- `Effective Min Facet`
- `Synthetic Facets`

Nested Class Summary
`static class` `XSDSimpleTypeDefinitionImpl.AssessmentImpl` This is used to gather selectively the information determined when assessing a literal string with respect to a `XSDSimpleTypeDefinition`.

Nested classes/interfaces inherited from class org.eclipse.xsd.impl.XSDNamedComponentImpl
`XSDNamedComponentImpl.Comparator, XSDNamedComponentImpl.StringPairComparator, XSDNamedComponentImpl.XSDNamedComponentList<E extends java.lang.Object & XSDNamedComponent>`

Nested classes/interfaces inherited from class org.eclipse.xsd.impl.XSDConcreteComponentImpl
`XSDConcreteComponentImpl.XSDContentsEList`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.xsd.XSDSimpleTypeDefinition
`XSDSimpleTypeDefinition.Assessment`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected XSDSimpleTypeDefinition` `baseTypeDefinition` The cached value of the '`Base Type Definition`' reference
`protected XSDBoundedFacet` `boundedFacet`
`protected XSDCardinalityFacet` `cardinalityFacet`
`protected EList<XSDSimpleTypeDefinition>` `contents` The cached value of the '`Contents`' containment reference list
`protected XSDEnumerationFacetImpl` `effectiveEnumerationFacet`
`protected XSDPatternFacetImpl` `effectivePatternFacet`
`protected XSDWhiteSpaceFacet` `effectiveWhiteSpaceFacet`
`protected EcoreEList<XSDConstrainingFacet>` `facetContents` The cached value of the '`Facet Contents`' containment reference list
`protected EcoreEList<XSDConstrainingFacet>` `facets` The cached value of the '`Facets`' reference list
`protected EList<XSDSimpleFinal>` `final_` The cached value of the '`Final`' attribute list
`protected EList<XSDFundamentalFacet>` `fundamentalFacets` The cached value of the '`Fundamental Facets`' containment reference list
`protected XSDSimpleTypeDefinition` `itemTypeDefinition` The cached value of the '`Item Type Definition`' reference
`protected EList<XSDSimpleFinal>` `lexicalFinal` The cached value of the '`Lexical Final`' attribute list
`protected EList<XSDSimpleTypeDefinition>` `memberTypeDefinitions` The cached value of the '`Member Type Definitions`' reference list
`protected XSDNumericFacet` `numericFacet`
`protected XSDOrderedFacet` `orderedFacet`
`protected XSDSimpleTypeDefinition` `primitiveTypeDefinition` The cached value of the '`Primitive Type Definition`' reference
`protected EList<XSDFacet>` `syntheticFacets` The cached value of the '`Synthetic Facets`' containment reference list
`protected EList<java.lang.String>` `validFacets` The cached value of the '`Valid Facets`' attribute list
`protected static EList<java.lang.String>` `validFacetsForList`
`protected static EList<java.lang.String>` `validFacetsForUnion`
`protected XSDVariety` `variety` The cached value of the '`Variety`' attribute
`protected static XSDVariety` `VARIETY_EDEFAULT` The default value of the '`Variety`' attribute
`protected static int` `VARIETY_ESETFLAG` The flag representing whether the Variety attribute has been set

Fields inherited from class org.eclipse.xsd.impl.XSDTypeDefinitionImpl
`analysisState, annotation, annotations, derivationAnnotation`

Fields inherited from class org.eclipse.xsd.impl.XSDRedefinableComponentImpl
`CIRCULAR_EDEFAULT`

Fields inherited from class org.eclipse.xsd.impl.XSDNamedComponentImpl
`ALIAS_NAME_EDEFAULT, ALIAS_URI_EDEFAULT, name, NAME_EDEFAULT, QNAME_EDEFAULT, TARGET_NAMESPACE_EDEFAULT, targetNamespace, URI_EDEFAULT`

Fields inherited from class org.eclipse.xsd.impl.XSDConcreteComponentImpl
`ANALYZED, ANALYZING, CIRCULAR, diagnostics, element, ELEMENT_EDEFAULT, ERROR, FATAL, forceResolve, INFORMATION, isReconciling, UNANALYZED, updatingDOM, WARNING, xsdContents`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `XSDSimpleTypeDefinitionImpl()`

Method Summary
`protected void` `adoptContent(EReference eReference, XSDConcreteComponent xsdConcreteComponent)`
`XSDSimpleTypeDefinition.Assessment` `assess(org.w3c.dom.Node node)` Returns an assessment of the node.
`XSDSimpleTypeDefinition.Assessment` `assess(java.lang.String literal)` Returns an assessment of the literal.
`XSDSimpleTypeDefinitionImpl.AssessmentImpl` `assess(XSDSimpleTypeDefinitionImpl.AssessmentImpl assessment)`
`XSDSimpleTypeDefinitionImpl.AssessmentImpl` `assess(XSDSimpleTypeDefinitionImpl.AssessmentImpl assessment, boolean validate)`
`protected void` `changeAttribute(EAttribute eAttribute)`
`protected void` `changeReference(EReference eReference)`
`XSDConcreteComponent` `cloneConcreteComponent(boolean deep, boolean shareDOM)` Creates a clone of the component.
`int` `compareLiterals(java.lang.String literal1, java.lang.String literal2)` Returns `-1`, `0`, or `1`, depending on the `order` of the `value` of each of the given literals.
`int` `compareValues(java.lang.Object value1, java.lang.Object value2)` Returns `-1`, `0`, or `1`, depending on the `order` of the `value`s.
`protected org.w3c.dom.Element` `createChildElement()`
`org.w3c.dom.Element` `createElement()`
`protected void` `createFundamentalFacets()`
`static XSDSimpleTypeDefinition` `createSimpleTypeDefinition(org.w3c.dom.Node node)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`boolean` `equalLiterals(java.lang.String literal1, java.lang.String literal2)` Returns whether the `value` of each of the given literals are equal.
`boolean` `equalValues(java.lang.Object value1, java.lang.Object value2)` Returns whether the `value`s are equal.
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`protected org.w3c.dom.Node` `getAdoptionParentNode(EReference eReference)`
`XSDTypeDefinition` `getBadTypeDerivation(XSDTypeDefinition xsdTypeDefinition, boolean extension, boolean restriction)` Returns the first type between this and the given one, that derives from it's base in a way not permitted as constrained by Type Derivation OK Complex and Simple.
`XSDTypeDefinition` `getBaseType()` Returns the value of the 'Base Type' reference
`XSDSimpleTypeDefinition` `getBaseTypeDefinition()`
`XSDBoundedFacet` `getBoundedFacet()` Returns the value of the 'Bounded Facet' reference
`java.lang.String` `getCanonicalLiteral(java.lang.String literal)` Returns the canonical literal of the literal with respect to this simple type definition.
`XSDCardinalityFacet` `getCardinalityFacet()` Returns the value of the 'Cardinality Facet' reference
`XSDParticle` `getComplexType()`
`protected java.util.Collection<org.w3c.dom.Element>` `getContentNodes(org.w3c.dom.Element changedElement)`
`EList<XSDSimpleTypeDefinition>` `getContents()`
`XSDEnumerationFacet` `getEffectiveEnumerationFacet()` Returns the value of the 'Effective Enumeration Facet' reference
`XSDFractionDigitsFacet` `getEffectiveFractionDigitsFacet()` Returns the value of the 'Effective Fraction Digits Facet' reference
`XSDLengthFacet` `getEffectiveLengthFacet()` Returns the value of the 'Effective Length Facet' reference
`XSDMaxFacet` `getEffectiveMaxFacet()` Returns the value of the 'Effective Max Facet' reference
`XSDMaxLengthFacet` `getEffectiveMaxLengthFacet()` Returns the value of the 'Effective Max Length Facet' reference
`XSDMinFacet` `getEffectiveMinFacet()` Returns the value of the 'Effective Min Facet' reference
`XSDMinLengthFacet` `getEffectiveMinLengthFacet()` Returns the value of the 'Effective Min Length Facet' reference
`XSDPatternFacet` `getEffectivePatternFacet()` Returns the value of the 'Effective Pattern Facet' reference
`XSDTotalDigitsFacet` `getEffectiveTotalDigitsFacet()` Returns the value of the 'Effective Total Digits Facet' reference
`XSDWhiteSpaceFacet` `getEffectiveWhiteSpaceFacet()` Returns the value of the 'Effective White Space Facet' reference
`EList<XSDEnumerationFacet>` `getEnumerationFacets()` Returns the value of the 'Enumeration Facets' reference list.
`EList<XSDConstrainingFacet>` `getFacetContents()`
`EList<XSDConstrainingFacet>` `getFacets()`
`EList<XSDSimpleFinal>` `getFinal()`
`XSDFractionDigitsFacet` `getFractionDigitsFacet()` Returns the value of the 'Fraction Digits Facet' reference
`EList<XSDFundamentalFacet>` `getFundamentalFacets()`
`XSDSimpleTypeDefinition` `getItemTypeDefinition()`
`XSDLengthFacet` `getLengthFacet()` Returns the value of the 'Length Facet' reference
`EList<XSDSimpleFinal>` `getLexicalFinal()`
`XSDMaxExclusiveFacet` `getMaxExclusiveFacet()` Returns the value of the 'Max Exclusive Facet' reference
`XSDMaxFacet` `getMaxFacet()` Returns the value of the 'Max Facet' reference
`XSDMaxInclusiveFacet` `getMaxInclusiveFacet()` Returns the value of the 'Max Inclusive Facet' reference
`XSDMaxLengthFacet` `getMaxLengthFacet()` Returns the value of the 'Max Length Facet' reference
`EList<XSDSimpleTypeDefinition>` `getMemberTypeDefinitions()`
`XSDMinExclusiveFacet` `getMinExclusiveFacet()` Returns the value of the 'Min Exclusive Facet' reference
`XSDMinFacet` `getMinFacet()` Returns the value of the 'Min Facet' reference
`XSDMinInclusiveFacet` `getMinInclusiveFacet()` Returns the value of the 'Min Inclusive Facet' reference
`XSDMinLengthFacet` `getMinLengthFacet()` Returns the value of the 'Min Length Facet' reference
`java.lang.String` `getNormalizedLiteral(java.lang.String literal)` Returns the normalized value of the literal with respect to this simple type definition.
`XSDNumericFacet` `getNumericFacet()` Returns the value of the 'Numeric Facet' reference
`XSDOrderedFacet` `getOrderedFacet()` Returns the value of the 'Ordered Facet' reference
`EList<XSDPatternFacet>` `getPatternFacets()` Returns the value of the 'Pattern Facets' reference list.
`XSDSimpleTypeDefinition` `getPrimitiveTypeDefinition()`
`protected int` `getRequiredChildElementNodeType()`
`XSDTypeDefinition` `getRootType()` Returns the value of the 'Root Type' reference
`XSDSimpleTypeDefinition` `getRootTypeDefinition()` Returns the value of the 'Root Type Definition' reference
`XSDSimpleTypeDefinition` `getSimpleType()` Returns the value of the 'Simple Type' reference
`java.lang.String` `getStringFinal()` Returns the String value of the '`Final`' attribute list
`java.lang.String` `getStringLexicalFinal()` Returns the String value of the '`Lexical Final`' attribute list
`EList<XSDFacet>` `getSyntheticFacets()`
`XSDTotalDigitsFacet` `getTotalDigitsFacet()` Returns the value of the 'Total Digits Facet' reference
`EList<java.lang.String>` `getValidFacets()`
`EList<java.lang.String>` `getValidFacetsForList()`
`EList<java.lang.String>` `getValidFacetsForUnion()`
`java.lang.Object` `getValue(java.lang.String literal)` Returns the value of the literal in the value space of this simple type definition.
`XSDVariety` `getVariety()`
`XSDWhiteSpaceFacet` `getWhiteSpaceFacet()` Returns the value of the 'White Space Facet' reference
`protected void` `handleAnalysis()`
`protected XSDSimpleTypeDefinition` `handleNewBaseTypeDefinition(XSDSimpleTypeDefinition newBaseTypeDefinition)`
`protected void` `handleNewComplexBaseTypeDefinition(XSDTypeDefinition newComplexBaseTypeDefinition)`
`protected void` `handleReconciliation(java.util.List<XSDConcreteComponent> newContents, java.util.List<XSDConcreteComponent> remainingContents)`
`protected void` `handleUnreconciledElement(org.w3c.dom.Element child, java.util.List<XSDConcreteComponent> newContents, java.util.List<XSDConcreteComponent> remainingContents)`
`boolean` `isSetLexicalFinal()`
`boolean` `isSetVariety()`
`boolean` `isValidLiteral(java.lang.String literal)` Returns whether the literal is valid with respect to this simple type definition.
`protected java.util.List<XSDConstrainingFacet>` `mergeFacets()`
`protected void` `orphanContent(EReference eReference, XSDConcreteComponent xsdConcreteComponent)`
`protected void` `patch()`
`protected void` `reconcileAttributes(org.w3c.dom.Element changedElement)`
`void` `setBaseTypeDefinition(XSDSimpleTypeDefinition newBaseTypeDefinition)`
`void` `setItemTypeDefinition(XSDSimpleTypeDefinition newItemTypeDefinition)`
`void` `setPrimitiveTypeDefinition(XSDSimpleTypeDefinition newPrimitiveTypeDefinition)`
`void` `setStringLexicalFinal(java.lang.String finalDefault)` Sets the String value of the '`Lexical Final`' attribute
`void` `setVariety(XSDVariety newVariety)`
`java.lang.String` `toString()`
`void` `unsetLexicalFinal()`
`void` `unsetVariety()`
`void` `validate()` Validates whether this component conforms to the constraints defined in the XML Schema standard.

Methods inherited from class org.eclipse.xsd.impl.XSDTypeDefinitionImpl
`analyze, basicSetAnnotation, basicSetDerivationAnnotation, createTypeDefinition, getAnnotation, getAnnotations, getDerivationAnnotation, getLowestCommonAncestor, isCircular, setAnnotation, setDerivationAnnotation`

Methods inherited from class org.eclipse.xsd.impl.XSDRedefinableComponentImpl
`getCircular`

Methods inherited from class org.eclipse.xsd.impl.XSDNamedComponentImpl

`addToSortedList, adoptBy, findInSortedList, getAliasName, getAliasURI, getName, getQName, getQName, getResolvedNamedComponent, getTargetNamespace, getURI, getURIReferenceLabel, hasNameAndTargetNamespace, hasSameNameAndTargetNamespace, hasURI, isNamedComponentReference, mergeToSortedList, patchTargetNamespaceAttribute, patchTargetNamespaceAttribute, reconcileNameAttribute, setName, setTargetNamespace, sortNamedComponents`

Methods inherited from class org.eclipse.xsd.impl.XSDConcreteComponentImpl

`adoptDiagnostic, checkAttributes, checkAttributeTypeConstraint, checkAttributeTypeConstraint, checkBuiltInTypeConstraint, checkComplexContent, checkComplexContent, checkElementComplexContent, checkSimpleTypeConstraint, clearDiagnostics, cloneConcreteComponents, considerAllContainsForBestConcreteComponent, contains, createDiagnostic, createDiagnostic, createDiagnostic, createDiagnostic, createElement, createRequiredAttributeDiagnostic, createUnresolvedAttributeDeclaration, createUnresolvedAttributeGroupDefinition, createUnresolvedComplexTypeDefinition, createUnresolvedElementDeclaration, createUnresolvedIdentityConstraintDefinition, createUnresolvedModelGroupDefinition, createUnresolvedNotationDeclaration, createUnresolvedSimpleTypeDefinition, createUnresolvedTypeDefinition, elementAttributesChanged, elementChanged, elementContentsChanged, eNotificationRequired, eNotify, eObjectForURIFragmentSegment, eURIFragmentSegment, forceEngulf, forceEngulf, forceNiceInsertBefore, forceNiceRemoveChild, forceReplace, getBestConcreteComponent, getComponentsWithApplicationInformation, getComponentsWithInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getDiagnosticTarget, getElement, getRootContainer, getSchema, getXSDConcreteComponentImpls, getXSDContents, getXSDFactory, getXSDPackage, handleAnnotationReconciliation, handleElementForAdopt, isUpdatingDOM, moveContent, niceCreateNamespaceAttribute, niceInsertBefore, niceRemoveChild, niceSetAttribute, niceSetAttributeURIValue, orphanBy, orphanDiagnostic, populateDiagnostic, printDFA, reconcile, reconcileContents, reportConstraintViolation, reset, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, setElementGen, setListContentAndOrder, traverseToRootForAnalysis, traverseToRootForPatching, updateElement, updateElement, updatePrefix`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.xsd.XSDTypeDefinition
`getAnnotation, getAnnotations, getDerivationAnnotation, setAnnotation, setDerivationAnnotation`

Methods inherited from interface org.eclipse.xsd.XSDRedefinableComponent
`isCircular`

Methods inherited from interface org.eclipse.xsd.XSDNamedComponent
`getAliasName, getAliasURI, getName, getQName, getQName, getTargetNamespace, getURI, hasNameAndTargetNamespace, hasSameNameAndTargetNamespace, hasURI, setName, setTargetNamespace`

Methods inherited from interface org.eclipse.xsd.XSDConcreteComponent

`clearDiagnostics, contains, elementAttributesChanged, elementChanged, elementContentsChanged, getComponentsWithApplicationInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getElement, getRootContainer, getSchema, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, updateElement, updateElement`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.xsd.XSDConcreteComponent

`clearDiagnostics, contains, elementAttributesChanged, elementChanged, elementContentsChanged, getComponentsWithApplicationInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getElement, getRootContainer, getSchema, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, updateElement, updateElement`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### VARIETY_EDEFAULT

    protected static final XSDVariety VARIETY_EDEFAULT

  The default value of the '`Variety`' attribute.

  See Also:
    `getVariety()`

### variety

    protected XSDVariety variety

  The cached value of the '`Variety`' attribute.

  See Also:
    `getVariety()`

### VARIETY_ESETFLAG

    protected static final int VARIETY_ESETFLAG

  The flag representing whether the Variety attribute has been set.

  See Also:
    Constant Field Values

### final_

    protected EList<XSDSimpleFinal> final_

  The cached value of the '`Final`' attribute list.

  See Also:
    `getFinal()`

### lexicalFinal

    protected EList<XSDSimpleFinal> lexicalFinal

  The cached value of the '`Lexical Final`' attribute list.

  See Also:
    `getLexicalFinal()`

### validFacets

    protected EList<java.lang.String> validFacets

  The cached value of the '`Valid Facets`' attribute list.

  See Also:
    `getValidFacets()`

### contents

    protected EList<XSDSimpleTypeDefinition> contents

  The cached value of the '`Contents`' containment reference list.

  See Also:
    `getContents()`

### facetContents

    protected EcoreEList<XSDConstrainingFacet> facetContents

  The cached value of the '`Facet Contents`' containment reference list.

  See Also:
    `getFacetContents()`

### facets

    protected EcoreEList<XSDConstrainingFacet> facets

  The cached value of the '`Facets`' reference list.

  See Also:
    `getFacets()`

### memberTypeDefinitions

    protected EList<XSDSimpleTypeDefinition> memberTypeDefinitions

  The cached value of the '`Member Type Definitions`' reference list.

  See Also:
    `getMemberTypeDefinitions()`

### fundamentalFacets

    protected EList<XSDFundamentalFacet> fundamentalFacets

  The cached value of the '`Fundamental Facets`' containment reference list.

  See Also:
    `getFundamentalFacets()`

### baseTypeDefinition

    protected XSDSimpleTypeDefinition baseTypeDefinition

  The cached value of the '`Base Type Definition`' reference.

  See Also:
    `getBaseTypeDefinition()`

### primitiveTypeDefinition

    protected XSDSimpleTypeDefinition primitiveTypeDefinition

  The cached value of the '`Primitive Type Definition`' reference.

  See Also:
    `getPrimitiveTypeDefinition()`

### itemTypeDefinition

    protected XSDSimpleTypeDefinition itemTypeDefinition

  The cached value of the '`Item Type Definition`' reference.

  See Also:
    `getItemTypeDefinition()`

### syntheticFacets

    protected EList<XSDFacet> syntheticFacets

  The cached value of the '`Synthetic Facets`' containment reference list.

  See Also:
    `getSyntheticFacets()`

### effectiveWhiteSpaceFacet

    protected XSDWhiteSpaceFacet effectiveWhiteSpaceFacet

### boundedFacet

    protected XSDBoundedFacet boundedFacet

### cardinalityFacet

    protected XSDCardinalityFacet cardinalityFacet

### numericFacet

    protected XSDNumericFacet numericFacet

### orderedFacet

    protected XSDOrderedFacet orderedFacet

### validFacetsForList

    protected static EList<java.lang.String> validFacetsForList

### validFacetsForUnion

    protected static EList<java.lang.String> validFacetsForUnion

### effectiveEnumerationFacet

    protected XSDEnumerationFacetImpl effectiveEnumerationFacet

### effectivePatternFacet

    protected XSDPatternFacetImpl effectivePatternFacet

Constructor Detail

### XSDSimpleTypeDefinitionImpl

    protected XSDSimpleTypeDefinitionImpl()

Method Detail

### createSimpleTypeDefinition

    public static XSDSimpleTypeDefinition createSimpleTypeDefinition(org.w3c.dom.Node node)

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `XSDTypeDefinitionImpl`

### getVariety

    public XSDVariety getVariety()

  Specified by:
    `getVariety` in interface `XSDSimpleTypeDefinition`
  Returns:
    the value of the 'Variety' attribute.
  See Also:
    `XSDVariety`, `XSDSimpleTypeDefinition.isSetVariety()`, `XSDSimpleTypeDefinition.unsetVariety()`, `XSDSimpleTypeDefinition.setVariety(XSDVariety)`, `XSDPackage.getXSDSimpleTypeDefinition_Variety()`

### setVariety

    public void setVariety(XSDVariety newVariety)

  Specified by:
    `setVariety` in interface `XSDSimpleTypeDefinition`
  Parameters:
    `newVariety` - the new value of the 'Variety' attribute.
  See Also:
    `XSDVariety`, `XSDSimpleTypeDefinition.isSetVariety()`, `XSDSimpleTypeDefinition.unsetVariety()`, `XSDSimpleTypeDefinition.getVariety()`

### unsetVariety

    public void unsetVariety()

  Specified by:
    `unsetVariety` in interface `XSDSimpleTypeDefinition`
  See Also:
    `XSDSimpleTypeDefinition.isSetVariety()`, `XSDSimpleTypeDefinition.getVariety()`, `XSDSimpleTypeDefinition.setVariety(XSDVariety)`

### isSetVariety

    public boolean isSetVariety()

  Specified by:
    `isSetVariety` in interface `XSDSimpleTypeDefinition`
  Returns:
    whether the value of the 'Variety' attribute is set.
  See Also:
    `XSDSimpleTypeDefinition.unsetVariety()`, `XSDSimpleTypeDefinition.getVariety()`, `XSDSimpleTypeDefinition.setVariety(XSDVariety)`

### getFinal

    public EList<XSDSimpleFinal> getFinal()

  Specified by:
    `getFinal` in interface `XSDSimpleTypeDefinition`
  Returns:
    the value of the 'Final' attribute list.
  See Also:
    `XSDSimpleTypeDefinition.getStringFinal()`, `XSDSimpleFinal`, `XSDPackage.getXSDSimpleTypeDefinition_Final()`

### getLexicalFinal

    public EList<XSDSimpleFinal> getLexicalFinal()

  Specified by:
    `getLexicalFinal` in interface `XSDSimpleTypeDefinition`
  Returns:
    the value of the 'Lexical Final' attribute list.
  See Also:
    `XSDSimpleTypeDefinition.getStringLexicalFinal()`, `XSDSimpleFinal`, `XSDSimpleTypeDefinition.isSetLexicalFinal()`, `XSDSimpleTypeDefinition.unsetLexicalFinal()`, `XSDPackage.getXSDSimpleTypeDefinition_LexicalFinal()`

### unsetLexicalFinal

    public void unsetLexicalFinal()

  Specified by:
    `unsetLexicalFinal` in interface `XSDSimpleTypeDefinition`
  See Also:
    `XSDSimpleTypeDefinition.isSetLexicalFinal()`, `XSDSimpleTypeDefinition.getLexicalFinal()`

### isSetLexicalFinal

    public boolean isSetLexicalFinal()

  Specified by:
    `isSetLexicalFinal` in interface `XSDSimpleTypeDefinition`
  Returns:
    whether the value of the 'Lexical Final' attribute list is set.
  See Also:
    `XSDSimpleTypeDefinition.unsetLexicalFinal()`, `XSDSimpleTypeDefinition.getLexicalFinal()`

### getValidFacets

    public EList<java.lang.String> getValidFacets()

  Specified by:
    `getValidFacets` in interface `XSDSimpleTypeDefinition`
  Returns:
    the value of the 'Valid Facets' attribute list.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_ValidFacets()`

### getContents

    public EList<XSDSimpleTypeDefinition> getContents()

  Specified by:
    `getContents` in interface `XSDSimpleTypeDefinition`
  Returns:
    the value of the 'Contents' containment reference list.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_Contents()`

### getFacetContents

    public EList<XSDConstrainingFacet> getFacetContents()

  Specified by:
    `getFacetContents` in interface `XSDSimpleTypeDefinition`
  Returns:
    the value of the 'Facet Contents' containment reference list.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_FacetContents()`

### getFacets

    public EList<XSDConstrainingFacet> getFacets()

  Specified by:
    `getFacets` in interface `XSDSimpleTypeDefinition`
  Returns:
    the value of the 'Facets' reference list.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_Facets()`

### getMemberTypeDefinitions

    public EList<XSDSimpleTypeDefinition> getMemberTypeDefinitions()

  Specified by:
    `getMemberTypeDefinitions` in interface `XSDSimpleTypeDefinition`
  Returns:
    the value of the 'Member Type Definitions' reference list.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_MemberTypeDefinitions()`

### getFundamentalFacets

    public EList<XSDFundamentalFacet> getFundamentalFacets()

  Specified by:
    `getFundamentalFacets` in interface `XSDSimpleTypeDefinition`
  Returns:
    the value of the 'Fundamental Facets' containment reference list.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_FundamentalFacets()`

### getBaseTypeDefinition

    public XSDSimpleTypeDefinition getBaseTypeDefinition()

  Specified by:
    `getBaseTypeDefinition` in interface `XSDSimpleTypeDefinition`
  Returns:
    the value of the 'Base Type Definition' reference.
  See Also:
    `XSDSimpleTypeDefinition.setBaseTypeDefinition(XSDSimpleTypeDefinition)`, `XSDPackage.getXSDSimpleTypeDefinition_BaseTypeDefinition()`

### setBaseTypeDefinition

    public void setBaseTypeDefinition(XSDSimpleTypeDefinition newBaseTypeDefinition)

  Specified by:
    `setBaseTypeDefinition` in interface `XSDSimpleTypeDefinition`
  Parameters:
    `newBaseTypeDefinition` - the new value of the 'Base Type Definition' reference.
  See Also:
    `XSDSimpleTypeDefinition.getBaseTypeDefinition()`

### getPrimitiveTypeDefinition

    public XSDSimpleTypeDefinition getPrimitiveTypeDefinition()

  Specified by:
    `getPrimitiveTypeDefinition` in interface `XSDSimpleTypeDefinition`
  Returns:
    the value of the 'Primitive Type Definition' reference.
  See Also:
    `XSDSimpleTypeDefinition.setPrimitiveTypeDefinition(XSDSimpleTypeDefinition)`, `XSDPackage.getXSDSimpleTypeDefinition_PrimitiveTypeDefinition()`

### setPrimitiveTypeDefinition

    public void setPrimitiveTypeDefinition(XSDSimpleTypeDefinition newPrimitiveTypeDefinition)

  Specified by:
    `setPrimitiveTypeDefinition` in interface `XSDSimpleTypeDefinition`
  Parameters:
    `newPrimitiveTypeDefinition` - the new value of the 'Primitive Type Definition' reference.
  See Also:
    `XSDSimpleTypeDefinition.getPrimitiveTypeDefinition()`

### getItemTypeDefinition

    public XSDSimpleTypeDefinition getItemTypeDefinition()

  Specified by:
    `getItemTypeDefinition` in interface `XSDSimpleTypeDefinition`
  Returns:
    the value of the 'Item Type Definition' reference.
  See Also:
    `XSDSimpleTypeDefinition.setItemTypeDefinition(XSDSimpleTypeDefinition)`, `XSDPackage.getXSDSimpleTypeDefinition_ItemTypeDefinition()`

### setItemTypeDefinition

    public void setItemTypeDefinition(XSDSimpleTypeDefinition newItemTypeDefinition)

  Specified by:
    `setItemTypeDefinition` in interface `XSDSimpleTypeDefinition`
  Parameters:
    `newItemTypeDefinition` - the new value of the 'Item Type Definition' reference.
  See Also:
    `XSDSimpleTypeDefinition.getItemTypeDefinition()`

### createElement

    public org.w3c.dom.Element createElement()

  Overrides:
    `createElement` in class `XSDConcreteComponentImpl`

### createChildElement

    protected org.w3c.dom.Element createChildElement()

### getRequiredChildElementNodeType

    protected int getRequiredChildElementNodeType()

### patch

    protected void patch()

  Overrides:
    `patch` in class `XSDTypeDefinitionImpl`

### handleAnalysis

    protected void handleAnalysis()

  Overrides:
    `handleAnalysis` in class `XSDTypeDefinitionImpl`

### validate

    public void validate()

  Description copied from interface: `XSDConcreteComponent`
  Validates whether this component conforms to the constraints defined in the XML Schema standard. `Diagnostics` are produced to report any problems. The effect of calling this for a component not directly or indirectly contained by a `schema` is undefined, and is likely to result in null pointer exceptions.

  Specified by:
    `validate` in interface `XSDConcreteComponent`
  Overrides:
    `validate` in class `XSDConcreteComponentImpl`
  See Also:
    `XSDConcreteComponent.getDiagnostics()`, `XSDConcreteComponent.clearDiagnostics()`

### reconcileAttributes

    protected void reconcileAttributes(org.w3c.dom.Element changedElement)

  Overrides:
    `reconcileAttributes` in class `XSDNamedComponentImpl`

### handleNewComplexBaseTypeDefinition

    protected void handleNewComplexBaseTypeDefinition(XSDTypeDefinition newComplexBaseTypeDefinition)

### handleNewBaseTypeDefinition

    protected XSDSimpleTypeDefinition handleNewBaseTypeDefinition(XSDSimpleTypeDefinition newBaseTypeDefinition)

### getAdoptionParentNode

    protected org.w3c.dom.Node getAdoptionParentNode(EReference eReference)

  Overrides:
    `getAdoptionParentNode` in class `XSDConcreteComponentImpl`

### getContentNodes

    protected java.util.Collection<org.w3c.dom.Element> getContentNodes(org.w3c.dom.Element changedElement)

  Overrides:
    `getContentNodes` in class `XSDConcreteComponentImpl`

### handleUnreconciledElement

    protected void handleUnreconciledElement(org.w3c.dom.Element child,
                                             java.util.List<XSDConcreteComponent> newContents,
                                             java.util.List<XSDConcreteComponent> remainingContents)

  Overrides:
    `handleUnreconciledElement` in class `XSDConcreteComponentImpl`

### handleReconciliation

    protected void handleReconciliation(java.util.List<XSDConcreteComponent> newContents,
                                        java.util.List<XSDConcreteComponent> remainingContents)

  Overrides:
    `handleReconciliation` in class `XSDConcreteComponentImpl`

### changeAttribute

    protected void changeAttribute(EAttribute eAttribute)

  Overrides:
    `changeAttribute` in class `XSDNamedComponentImpl`

### changeReference

    protected void changeReference(EReference eReference)

  Overrides:
    `changeReference` in class `XSDConcreteComponentImpl`

### adoptContent

    protected void adoptContent(EReference eReference,
                                XSDConcreteComponent xsdConcreteComponent)

  Overrides:
    `adoptContent` in class `XSDConcreteComponentImpl`

### orphanContent

    protected void orphanContent(EReference eReference,
                                 XSDConcreteComponent xsdConcreteComponent)

  Overrides:
    `orphanContent` in class `XSDConcreteComponentImpl`

### getTotalDigitsFacet

    public XSDTotalDigitsFacet getTotalDigitsFacet()

  Description copied from interface: `XSDSimpleTypeDefinition`
  Returns the value of the 'Total Digits Facet' reference.

  This represents the `XSDTotalDigitsFacet` of the `facet contents`.

  Specified by:
    `getTotalDigitsFacet` in interface `XSDSimpleTypeDefinition`
  Returns:
    the value of the 'Total Digits Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_TotalDigitsFacet()`

### getEffectiveTotalDigitsFacet

    public XSDTotalDigitsFacet getEffectiveTotalDigitsFacet()

  Description copied from interface: `XSDSimpleTypeDefinition`
  Returns the value of the 'Effective Total Digits Facet' reference.

  This represents the `XSDTotalDigitsFacet` of the `facets`.

  Specified by:
    `getEffectiveTotalDigitsFacet` in interface `XSDSimpleTypeDefinition`
  Returns:
    the value of the 'Effective Total Digits Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_EffectiveTotalDigitsFacet()`

### getFractionDigitsFacet

    public XSDFractionDigitsFacet getFractionDigitsFacet()

  Description copied from interface: `XSDSimpleTypeDefinition`
  Returns the value of the 'Fraction Digits Facet' reference.

  This represents the `XSDFractionDigitsFacet` of the `facet contents`.

  Specified by:
    `getFractionDigitsFacet` in interface `XSDSimpleTypeDefinition`
  Returns:
    the value of the 'Fraction Digits Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_FractionDigitsFacet()`

### getEffectiveFractionDigitsFacet

    public XSDFractionDigitsFacet getEffectiveFractionDigitsFacet()

  Description copied from interface: `XSDSimpleTypeDefinition`
  Returns the value of the 'Effective Fraction Digits Facet' reference.

  This represents the `XSDFractionDigitsFacet` of the `facets`.

  Specified by:
    `getEffectiveFractionDigitsFacet` in interface `XSDSimpleTypeDefinition`
  Returns:
    the value of the 'Effective Fraction Digits Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_EffectiveFractionDigitsFacet()`

### getLengthFacet

    public XSDLengthFacet getLengthFacet()

  Description copied from interface: `XSDSimpleTypeDefinition`
  Returns the value of the 'Length Facet' reference.

  This represents the `XSDLengthFacet` of the `facet contents`.

  Specified by:
    `getLengthFacet` in interface `XSDSimpleTypeDefinition`
  Returns:
    the value of the 'Length Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_LengthFacet()`

### getEffectiveLengthFacet

    public XSDLengthFacet getEffectiveLengthFacet()

  Description copied from interface: `XSDSimpleTypeDefinition`
  Returns the value of the 'Effective Length Facet' reference.

  This represents the `XSDLengthFacet` of the `facets`.

  Specified by:
    `getEffectiveLengthFacet` in interface `XSDSimpleTypeDefinition`
  Returns:
    the value of the 'Effective Length Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_EffectiveLengthFacet()`

### getMaxLengthFacet

    public XSDMaxLengthFacet getMaxLengthFacet()

  Description copied from interface: `XSDSimpleTypeDefinition`
  Returns the value of the 'Max Length Facet' reference.

  This represents the `XSDMaxLengthFacet` of the `facet contents`.

  Specified by:
    `getMaxLengthFacet` in interface `XSDSimpleTypeDefinition`
  Returns:
    the value of the 'Max Length Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_MaxLengthFacet()`

### getEffectiveMaxLengthFacet

    public XSDMaxLengthFacet getEffectiveMaxLengthFacet()

  Description copied from interface: `XSDSimpleTypeDefinition`
  Returns the value of the 'Effective Max Length Facet' reference.

  This represents the `XSDMaxLengthFacet` of the `facets`.

  Specified by:
    `getEffectiveMaxLengthFacet` in interface `XSDSimpleTypeDefinition`
  Returns:
    the value of the 'Effective Max Length Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_EffectiveMaxLengthFacet()`

### getMinLengthFacet

    public XSDMinLengthFacet getMinLengthFacet()

  Description copied from interface: `XSDSimpleTypeDefinition`
  Returns the value of the 'Min Length Facet' reference.

  This represents the `XSDMinLengthFacet` of the `facet contents`.

  Specified by:
    `getMinLengthFacet` in interface `XSDSimpleTypeDefinition`
  Returns:
    the value of the 'Min Length Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_MinLengthFacet()`

### getEffectiveMinLengthFacet

    public XSDMinLengthFacet getEffectiveMinLengthFacet()

  Description copied from interface: `XSDSimpleTypeDefinition`
  Returns the value of the 'Effective Min Length Facet' reference.

  This represents the `XSDMinLengthFacet` of the `facets`.

  Specified by:
    `getEffectiveMinLengthFacet` in interface `XSDSimpleTypeDefinition`
  Returns:
    the value of the 'Effective Min Length Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_EffectiveMinLengthFacet()`

### getMaxExclusiveFacet

    public XSDMaxExclusiveFacet getMaxExclusiveFacet()

  Description copied from interface: `XSDSimpleTypeDefinition`
  Returns the value of the 'Max Exclusive Facet' reference.

  This represents the `XSDMaxExclusiveFacet` of the `facet contents`.

  Specified by:
    `getMaxExclusiveFacet` in interface `XSDSimpleTypeDefinition`
  Returns:
    the value of the 'Max Exclusive Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_MaxExclusiveFacet()`

### getMaxInclusiveFacet

    public XSDMaxInclusiveFacet getMaxInclusiveFacet()

  Description copied from interface: `XSDSimpleTypeDefinition`
  Returns the value of the 'Max Inclusive Facet' reference.

  This represents the `XSDMaxInclusiveFacet` of the `facet contents`.

  Specified by:
    `getMaxInclusiveFacet` in interface `XSDSimpleTypeDefinition`
  Returns:
    the value of the 'Max Inclusive Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_MaxInclusiveFacet()`

### getMaxFacet

    public XSDMaxFacet getMaxFacet()

  Description copied from interface: `XSDSimpleTypeDefinition`
  Returns the value of the 'Max Facet' reference.

  This represents the `XSDMaxFacet` of the `facet contents`.

  Specified by:
    `getMaxFacet` in interface `XSDSimpleTypeDefinition`
  Returns:
    the value of the 'Max Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_MaxFacet()`

### getEffectiveMaxFacet

    public XSDMaxFacet getEffectiveMaxFacet()

  Description copied from interface: `XSDSimpleTypeDefinition`
  Returns the value of the 'Effective Max Facet' reference.

  This represents the `XSDMaxFacet` of the `facets`.

  Specified by:
    `getEffectiveMaxFacet` in interface `XSDSimpleTypeDefinition`
  Returns:
    the value of the 'Effective Max Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_EffectiveMaxFacet()`

### getMinExclusiveFacet

    public XSDMinExclusiveFacet getMinExclusiveFacet()

  Description copied from interface: `XSDSimpleTypeDefinition`
  Returns the value of the 'Min Exclusive Facet' reference.

  This represents the `XSDMinExclusiveFacet` of the `facet contents`.

  Specified by:
    `getMinExclusiveFacet` in interface `XSDSimpleTypeDefinition`
  Returns:
    the value of the 'Min Exclusive Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_MinExclusiveFacet()`

### getMinInclusiveFacet

    public XSDMinInclusiveFacet getMinInclusiveFacet()

  Description copied from interface: `XSDSimpleTypeDefinition`
  Returns the value of the 'Min Inclusive Facet' reference.

  This represents the `XSDMinInclusiveFacet` of the `facet contents`.

  Specified by:
    `getMinInclusiveFacet` in interface `XSDSimpleTypeDefinition`
  Returns:
    the value of the 'Min Inclusive Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_MinInclusiveFacet()`

### getMinFacet

    public XSDMinFacet getMinFacet()

  Description copied from interface: `XSDSimpleTypeDefinition`
  Returns the value of the 'Min Facet' reference.

  This represents the `XSDMinFacet` of the `facet contents`.

  Specified by:
    `getMinFacet` in interface `XSDSimpleTypeDefinition`
  Returns:
    the value of the 'Min Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_MinFacet()`

### getEffectiveMinFacet

    public XSDMinFacet getEffectiveMinFacet()

  Description copied from interface: `XSDSimpleTypeDefinition`
  Returns the value of the 'Effective Min Facet' reference.

  This represents the `XSDMinLengthFacet` of the `facets`.

  Specified by:
    `getEffectiveMinFacet` in interface `XSDSimpleTypeDefinition`
  Returns:
    the value of the 'Effective Min Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_EffectiveMinFacet()`

### getSyntheticFacets

    public EList<XSDFacet> getSyntheticFacets()

  Specified by:
    `getSyntheticFacets` in interface `XSDSimpleTypeDefinition`
  Returns:
    the value of the 'Synthetic Facets' containment reference list.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_SyntheticFacets()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `XSDTypeDefinitionImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `XSDTypeDefinitionImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `XSDTypeDefinitionImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `XSDTypeDefinitionImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `XSDTypeDefinitionImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `XSDNamedComponentImpl`

### getWhiteSpaceFacet

    public XSDWhiteSpaceFacet getWhiteSpaceFacet()

  Description copied from interface: `XSDSimpleTypeDefinition`
  Returns the value of the 'White Space Facet' reference.

  This represents the `XSDWhiteSpaceFacet` of the `facet contents`.

  Specified by:
    `getWhiteSpaceFacet` in interface `XSDSimpleTypeDefinition`
  Returns:
    the value of the 'White Space Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_WhiteSpaceFacet()`

### getEffectiveWhiteSpaceFacet

    public XSDWhiteSpaceFacet getEffectiveWhiteSpaceFacet()

  Description copied from interface: `XSDSimpleTypeDefinition`
  Returns the value of the 'Effective White Space Facet' reference.

  This represents the `XSDWhiteSpaceFacet` of the `facets`.

  Specified by:
    `getEffectiveWhiteSpaceFacet` in interface `XSDSimpleTypeDefinition`
  Returns:
    the value of the 'Effective White Space Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_EffectiveWhiteSpaceFacet()`

### getEnumerationFacets

    public EList<XSDEnumerationFacet> getEnumerationFacets()

  Description copied from interface: `XSDSimpleTypeDefinition`
  Returns the value of the 'Enumeration Facets' reference list. The list contents are of type `XSDEnumerationFacet`.

  This represents the `XSDEnumerationFacet` of the `facet contents`.

  Specified by:
    `getEnumerationFacets` in interface `XSDSimpleTypeDefinition`
  Returns:
    the value of the 'Enumeration Facets' reference list.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_EnumerationFacets()`

### getEffectiveEnumerationFacet

    public XSDEnumerationFacet getEffectiveEnumerationFacet()

  Description copied from interface: `XSDSimpleTypeDefinition`
  Returns the value of the 'Effective Enumeration Facet' reference.

  This represents the `XSDEnumerationFacet` of the `facets`. To iterate through each enumerator which is a legal value of this type, use the list returned by getEffectiveEnumerationFacet().`getValue`().

  Specified by:
    `getEffectiveEnumerationFacet` in interface `XSDSimpleTypeDefinition`
  Returns:
    the value of the 'Effective Enumeration Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_EffectiveEnumerationFacet()`

### getPatternFacets

    public EList<XSDPatternFacet> getPatternFacets()

  Description copied from interface: `XSDSimpleTypeDefinition`
  Returns the value of the 'Pattern Facets' reference list. The list contents are of type `XSDPatternFacet`.

  This represents the `XSDPatternFacet` of the `facet contents`.

  Specified by:
    `getPatternFacets` in interface `XSDSimpleTypeDefinition`
  Returns:
    the value of the 'Pattern Facets' reference list.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_PatternFacets()`

### getEffectivePatternFacet

    public XSDPatternFacet getEffectivePatternFacet()

  Description copied from interface: `XSDSimpleTypeDefinition`
  Returns the value of the 'Effective Pattern Facet' reference.

  This represents the `XSDPatternFacet` of the `facets`. To iterate through each pattern that applies for this type, use the list returned by getEffectivePatternFacet().`getValue`().

  Specified by:
    `getEffectivePatternFacet` in interface `XSDSimpleTypeDefinition`
  Returns:
    the value of the 'Effective Pattern Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_EffectivePatternFacet()`

### getBoundedFacet

    public XSDBoundedFacet getBoundedFacet()

  Description copied from interface: `XSDSimpleTypeDefinition`
  Returns the value of the 'Bounded Facet' reference.

  This represents the `XSDBoundedFacet` of the `fundamental facets`.

  Specified by:
    `getBoundedFacet` in interface `XSDSimpleTypeDefinition`
  Returns:
    the value of the 'Bounded Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_BoundedFacet()`

### getCardinalityFacet

    public XSDCardinalityFacet getCardinalityFacet()

  Description copied from interface: `XSDSimpleTypeDefinition`
  Returns the value of the 'Cardinality Facet' reference.

  This represents the `XSDCardinalityFacet` of the `fundamental facets`.

  Specified by:
    `getCardinalityFacet` in interface `XSDSimpleTypeDefinition`
  Returns:
    the value of the 'Cardinality Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_CardinalityFacet()`

### getNumericFacet

    public XSDNumericFacet getNumericFacet()

  Description copied from interface: `XSDSimpleTypeDefinition`
  Returns the value of the 'Numeric Facet' reference.

  This represents the `XSDNumericFacet` of the `fundamental facets`.

  Specified by:
    `getNumericFacet` in interface `XSDSimpleTypeDefinition`
  Returns:
    the value of the 'Numeric Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_NumericFacet()`

### getOrderedFacet

    public XSDOrderedFacet getOrderedFacet()

  Description copied from interface: `XSDSimpleTypeDefinition`
  Returns the value of the 'Ordered Facet' reference.

  This represents the `XSDOrderedFacet` of the `fundamental facets`.

  Specified by:
    `getOrderedFacet` in interface `XSDSimpleTypeDefinition`
  Returns:
    the value of the 'Ordered Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_OrderedFacet()`

### createFundamentalFacets

    protected void createFundamentalFacets()

### getValidFacetsForList

    public EList<java.lang.String> getValidFacetsForList()

### getValidFacetsForUnion

    public EList<java.lang.String> getValidFacetsForUnion()

### getBaseType

    public XSDTypeDefinition getBaseType()

  Description copied from interface: `XSDTypeDefinition`
  Returns the value of the 'Base Type' reference.

  This represents the same result as either the simple '`Base Type Definition`' reference or the complex '`Base Type Definition`' reference.

  Specified by:
    `getBaseType` in interface `XSDTypeDefinition`
  Overrides:
    `getBaseType` in class `XSDTypeDefinitionImpl`
  Returns:
    the value of the 'Base Type' reference.
  See Also:
    `XSDPackage.getXSDTypeDefinition_BaseType()`

### getRootType

    public XSDTypeDefinition getRootType()

  Description copied from interface: `XSDTypeDefinition`
  Returns the value of the 'Root Type' reference.

  This walks the `base types` until it hits that one that has the ur-type definition as it's base type.

  Specified by:
    `getRootType` in interface `XSDTypeDefinition`
  Overrides:
    `getRootType` in class `XSDTypeDefinitionImpl`
  Returns:
    the value of the 'Root Type' reference.
  See Also:
    `XSDPackage.getXSDTypeDefinition_RootType()`

### getRootTypeDefinition

    public XSDSimpleTypeDefinition getRootTypeDefinition()

  Description copied from interface: `XSDSimpleTypeDefinition`
  Returns the value of the 'Root Type Definition' reference.

  This walks the `base type definitions` until it hits that one that has the ur-type definition as it's base type definition.

  Specified by:
    `getRootTypeDefinition` in interface `XSDSimpleTypeDefinition`
  Returns:
    the value of the 'Root Type Definition' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_RootTypeDefinition()`

### getSimpleType

    public XSDSimpleTypeDefinition getSimpleType()

  Description copied from interface: `XSDTypeDefinition`
  Returns the value of the 'Simple Type' reference.

  This represents either the '`Simple Type Definition`' itself or the complex '`Content Type`' reference, if it is `simple`.

  Specified by:
    `getSimpleType` in interface `XSDTypeDefinition`
  Overrides:
    `getSimpleType` in class `XSDTypeDefinitionImpl`
  Returns:
    the value of the 'Simple Type' reference.
  See Also:
    `XSDPackage.getXSDTypeDefinition_SimpleType()`

### getComplexType

    public XSDParticle getComplexType()

  Description copied from class: `XSDTypeDefinitionImpl`

  Specified by:
    `getComplexType` in interface `XSDTypeDefinition`
  Overrides:
    `getComplexType` in class `XSDTypeDefinitionImpl`
  Returns:
    the value of the 'Complex Type' reference.
  See Also:
    `XSDPackage.getXSDTypeDefinition_ComplexType()`

### mergeFacets

    protected java.util.List<XSDConstrainingFacet> mergeFacets()

### getStringLexicalFinal

    public java.lang.String getStringLexicalFinal()

  Description copied from interface: `XSDSimpleTypeDefinition`
  Returns the String value of the '`Lexical Final`' attribute list.

  Specified by:
    `getStringLexicalFinal` in interface `XSDSimpleTypeDefinition`
  Returns:
    the String value of the 'Lexical Final' attribute list.
  See Also:
    `XSDSimpleTypeDefinition.getLexicalFinal()`, `XSDSimpleTypeDefinition.setStringLexicalFinal(java.lang.String)`

### setStringLexicalFinal

    public void setStringLexicalFinal(java.lang.String finalDefault)

  Description copied from interface: `XSDSimpleTypeDefinition`
  Sets the String value of the '`Lexical Final`' attribute.

  Specified by:
    `setStringLexicalFinal` in interface `XSDSimpleTypeDefinition`
  Parameters:
    `finalDefault` - the new value of the 'Lexical Final' attribute.
  See Also:
    `XSDSimpleTypeDefinition.getLexicalFinal()`, `XSDSimpleTypeDefinition.getStringLexicalFinal()`

### getStringFinal

    public java.lang.String getStringFinal()

  Description copied from interface: `XSDSimpleTypeDefinition`
  Returns the String value of the '`Final`' attribute list.

  Specified by:
    `getStringFinal` in interface `XSDSimpleTypeDefinition`
  Returns:
    the String value of the 'Final' attribute list.
  See Also:
    `XSDSimpleTypeDefinition.getFinal()`

### assess

    public XSDSimpleTypeDefinition.Assessment assess(org.w3c.dom.Node node)

  Description copied from interface: `XSDSimpleTypeDefinition`
  Returns an assessment of the node.

  Specified by:
    `assess` in interface `XSDSimpleTypeDefinition`
  Returns:
    an assessment of the node.
  See Also:
    `XSDSimpleTypeDefinition.assess(java.lang.String)`

### assess

    public XSDSimpleTypeDefinition.Assessment assess(java.lang.String literal)

  Description copied from interface: `XSDSimpleTypeDefinition`
  Returns an assessment of the literal.

  Specified by:
    `assess` in interface `XSDSimpleTypeDefinition`
  Returns:
    an assessment of the literal.
  See Also:
    `XSDSimpleTypeDefinition.assess(org.w3c.dom.Node)`

### assess

    public XSDSimpleTypeDefinitionImpl.AssessmentImpl assess(XSDSimpleTypeDefinitionImpl.AssessmentImpl assessment)

### assess

    public XSDSimpleTypeDefinitionImpl.AssessmentImpl assess(XSDSimpleTypeDefinitionImpl.AssessmentImpl assessment,
                                                             boolean validate)

### isValidLiteral

    public boolean isValidLiteral(java.lang.String literal)

  Description copied from interface: `XSDSimpleTypeDefinition`
  Returns whether the literal is valid with respect to this simple type definition. This involves `assess`ing that the literal has no diagnostics.

  Specified by:
    `isValidLiteral` in interface `XSDSimpleTypeDefinition`
  Parameters:
    `literal` - a literal.
  Returns:
    whether the literal is valid.

### getValue

    public java.lang.Object getValue(java.lang.String literal)

  Description copied from interface: `XSDSimpleTypeDefinition`
  Returns the value of the literal in the value space of this simple type definition. The type of value expected depends the primitive type:

  Built-in Primitive Datatype | Corresponding Java Type
  --- | ---
  anyListType | java.util.List
  anyURI | java.lang.String
  base64Binary | org.eclipse.xsd.util.XSDUtil.ByteSequence

  boolean

  java.lang.Boolean

  dateTime

  int []

  date

  int []

  decimal

  java.math.BigDecimal

  double

  java.lang.Double

  duration

  int []

  float

  java.lang.Float

  gDay

  int []

  gMonth

  int []

  gMonthDay

  int []

  gYear

  int []

  gYearMonth

  int []

  hexBinary

  org.eclipse.xsd.util.XSDUtil.ByteSequence

  NOTATION

  java.lang.String

  QName

  java.lang.String

  string

  java.lang.String

  time

  int []

  All time-based values are represented as in Xerces.

  Specified by:
    `getValue` in interface `XSDSimpleTypeDefinition`
  Parameters:
    `literal` - a literal.
  Returns:
    the value of the literal.

### getCanonicalLiteral

    public java.lang.String getCanonicalLiteral(java.lang.String literal)

  Description copied from interface: `XSDSimpleTypeDefinition`
  Returns the canonical literal of the literal with respect to this simple type definition.

  Specified by:
    `getCanonicalLiteral` in interface `XSDSimpleTypeDefinition`
  Parameters:
    `literal` - a literal.
  Returns:
    the canonical literal of the literal.

### getNormalizedLiteral

    public java.lang.String getNormalizedLiteral(java.lang.String literal)

  Description copied from interface: `XSDSimpleTypeDefinition`
  Returns the normalized value of the literal with respect to this simple type definition.

  Specified by:
    `getNormalizedLiteral` in interface `XSDSimpleTypeDefinition`
  Parameters:
    `literal` - a literal.
  Returns:
    the normalized value of the literal.

### equalValues

    public boolean equalValues(java.lang.Object value1,
                               java.lang.Object value2)

  Description copied from interface: `XSDSimpleTypeDefinition`
  Returns whether the `value`s are equal.

  Specified by:
    `equalValues` in interface `XSDSimpleTypeDefinition`
  Parameters:
    `value1` - a literal.
    `value2` - another literal.
  Returns:
    whether the `value`s are equal.

### equalLiterals

    public boolean equalLiterals(java.lang.String literal1,
                                 java.lang.String literal2)

  Description copied from interface: `XSDSimpleTypeDefinition`
  Returns whether the `value` of each of the given literals are equal.

  Specified by:
    `equalLiterals` in interface `XSDSimpleTypeDefinition`
  Parameters:
    `literal1` - a literal.
    `literal2` - another literal.
  Returns:
    whether the `value` of each of the given literals are equal.

### compareValues

    public int compareValues(java.lang.Object value1,
                             java.lang.Object value2)

  Description copied from interface: `XSDSimpleTypeDefinition`
  Returns `-1`, `0`, or `1`, depending on the `order` of the `value`s.

  Specified by:
    `compareValues` in interface `XSDSimpleTypeDefinition`
  Parameters:
    `value1` - a value.
    `value2` - another value.
  Returns:
    `-1`, `0`, or `1`, depending on the order of the values.

### compareLiterals

    public int compareLiterals(java.lang.String literal1,
                               java.lang.String literal2)

  Description copied from interface: `XSDSimpleTypeDefinition`
  Returns `-1`, `0`, or `1`, depending on the `order` of the `value` of each of the given literals.

  Specified by:
    `compareLiterals` in interface `XSDSimpleTypeDefinition`
  Parameters:
    `literal1` - a literal.
    `literal2` - another literal.
  Returns:
    `-1`, `0`, or `1`, depending on the order of the value of each of the given literals.

### getBadTypeDerivation

    public XSDTypeDefinition getBadTypeDerivation(XSDTypeDefinition xsdTypeDefinition,
                                                  boolean extension,
                                                  boolean restriction)

  Description copied from interface: `XSDTypeDefinition`
  Returns the first type between this and the given one, that derives from it's base in a way not permitted as constrained by Type Derivation OK Complex and Simple. The result is `null` if the derivation is valid; the result is the `UR-type`, if this type is not related to the given type; otherwise, the result is the base with the blocked derivation method.

  Specified by:
    `getBadTypeDerivation` in interface `XSDTypeDefinition`
  Overrides:
    `getBadTypeDerivation` in class `XSDTypeDefinitionImpl`
  Returns:
    the first type between this and the given one, that derives from it's base in a way not permitted.

### cloneConcreteComponent

    public XSDConcreteComponent cloneConcreteComponent(boolean deep,
                                                       boolean shareDOM)

  Description copied from interface: `XSDConcreteComponent`
  Creates a clone of the component. The clone may be deep and may share the DOM of this component.

  Specified by:
    `cloneConcreteComponent` in interface `XSDConcreteComponent`
  Overrides:
    `cloneConcreteComponent` in class `XSDConcreteComponentImpl`
  Parameters:
    `deep` - whether the clone should be deep.
    `shareDOM` - whether the clone should share the original DOM
  Returns:
    a clone of the component.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.